commit:     f7c8062f1e60c8aa10726f45ff1c89dc08cd3ad6
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 25 12:33:37 2020 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Fri Sep 25 12:35:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7c8062f

sci-misc/vitables: tested on Python 3.7 and 3.8.

Drop amd64-linux and x86-linux because the dependency QtPy is not
keyworded.

Unmask the package.

Closes: https://bugs.gentoo.org/737414
Package-Manager: Portage-3.0.5, Repoman-3.0.1
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 profiles/package.mask                      |  1 -
 sci-misc/vitables/vitables-3.0.0-r2.ebuild | 38 ++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+), 1 deletion(-)

diff --git a/profiles/package.mask b/profiles/package.mask
index 125274f201b..77958659898 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -416,7 +416,6 @@ dev-python/redlock-py
 dev-python/root_numpy
 dev-python/rootpy
 dev-util/setconf
-sci-misc/vitables
 
 # Michał Górny <[email protected]> (2020-09-09)
 # These packages (or package versions) still require Python 2.7.

diff --git a/sci-misc/vitables/vitables-3.0.0-r2.ebuild 
b/sci-misc/vitables/vitables-3.0.0-r2.ebuild
new file mode 100644
index 00000000000..3d7da16887d
--- /dev/null
+++ b/sci-misc/vitables/vitables-3.0.0-r2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DISTUTILS_SINGLE_IMPL=1
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+MY_P=ViTables-${PV}
+
+DESCRIPTION="A graphical tool for browsing / editing files in both PyTables 
and HDF5 formats"
+HOMEPAGE="https://vitables.org/";
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/setuptools[${PYTHON_MULTI_USEDEP}]
+               dev-python/pytables[${PYTHON_MULTI_USEDEP}]
+               dev-python/QtPy[gui,${PYTHON_MULTI_USEDEP}]
+       ')"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+python_prepare_all() {
+       # remove the PyQt5 dependency
+       # because PyQt5 in Gentoo does not provide egg-info
+       # see also: https://github.com/pyqt/python-qt5/issues/18
+       sed "s:'PyQt5 [^ ]*::" -i setup.py || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to